> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/ai-coding-assistant/convai-agent-skills.md).

# Convai AgentSkills

17 份已提供技能文档的参考，用于教会连接的编码代理了解插件中每个 Convai 功能的行为方式。

Convai AgentSkills 是捆绑在插件自身中的 17 个技能资源 `Content/Skills/` 文件夹，其中每个都附带一份指导，教会连接的编码代理在调用 Convai Toolset 动作或通用 Unreal MCP 工具之前了解 Convai 功能的行为方式。它们不是用户编辑的文件——每个技能都是一个二进制 `.uasset` 随插件一起发布，包含代理读取的 Description 和 Instructions 字段，而不是项目中的文本文件。

{% hint style="info" %}
需要 **Unreal Engine 5.8 或更高版本** 以及一个 **编辑器** 构建版本。为低于工具集最低版本的引擎版本构建的软件包不包含 `Content/Skills/` 任何内容。
{% endhint %}

### 代理如何访问这些技能

代理通过引擎的 `ToolsetRegistry` 插件，使用工具集 `ToolsetRegistry.AgentSkillToolset`：它会调用 `ListSkills` 来查看可用内容，然后 `GetSkills` 读取与当前任务相关的那些。 `Resources/AgentPrimer/ConvaiAgentPrimer.md` ——编码代理的上下文文件可携带的入门说明——会指示代理在构建任何与 Convai 相关的内容之前以这种方式列出并读取这些技能，并命名 `ConvaiQuickStart`, `ConvaiActions`, `ConvaiSceneObjects`, `ConvaiDynamicContext`，以及 `ConvaiPlayerAndInput` 为首先读取的那些。

要确认代理能看到这些技能，请让它列出其可用的 MCP 工具并调用 `ListSkills` ——一个正常工作的设置会返回全部 17 个技能名称。

### 全部 17 个技能

| 技能                             | 涵盖内容                        |
| ------------------------------ | --------------------------- |
| `ConvaiQuickStart`             | 快速设置路径：对话、跟随或移动角色，以及添加自定义动作 |
| `ConvaiProjectSetup`           | 为 Convai 设置项目——安装并配置插件      |
| `ConvaiMetahumanSetup`         | 将 MetaHuman 角色转换为 Convai 角色 |
| `ConvaiCharacterReference`     | 聊天机器人和玩家组件及其配置              |
| `ConvaiConversation`           | 对话和会话生命周期                   |
| `ConvaiActions`                | 在聊天机器人上配置角色动作               |
| `ConvaiCustomActions`          | 在 Blueprint 事件图中编写自定义动作处理器  |
| `ConvaiSimpleAnimationActions` | 简单的内置动画动作                   |
| `ConvaiDynamicContext`         | 动态上下文的实时事件、响应策略、传递和刷新       |
| `ConvaiSceneObjects`           | 场景对象上的跟踪属性和移动感知             |
| `ConvaiGazeAttention`          | 凝视注意力系统                     |
| `ConvaiNarrativeDesign`        | 叙事设计部分和触发器                  |
| `ConvaiPlayerAndInput`         | 麦克风和会话设置，以及玩家说话生命周期         |
| `ConvaiVision`                 | 视觉功能                        |
| `ConvaiFaceAndAnimation`       | 面部同步和唇形同步配置                 |
| `ConvaiExpressiveness`         | 角色情感和表现力                    |
| `ConvaiRestAndAudioUtilities`  | REST 和音频实用工具辅助函数            |

### 下一步

{% content-ref url="/pages/6c5b338b9a5aeacf26b73bf6839fa355e17f8687" %}
[AI 编码助手](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/ai-coding-assistant.md)
{% endcontent-ref %}

{% content-ref url="/pages/50ad5ea121945ebc9be68f274b2be07d5ff35a2d" %}
[AI 编码助手快速入门](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/ai-coding-assistant/quick-start.md)
{% endcontent-ref %}

{% content-ref url="/pages/0eefa31119f629a5166503c9151f405117e822a4" %}
[Convai 工具集参考](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/ai-coding-assistant/convai-toolset-reference.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/ai-coding-assistant/convai-agent-skills.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
